-- standard VS game

function Initialise()


  StartTimer("Gir", 500)        
  ActRR = 1                     
  ActRast = 1                  
   StartedSuddenDeath = false   
   

   SetupScheme()
    SetData("HUD.Counter.Active", 1) 
    SetData("TurnTime", 0)
    SetData("Worm.FallDamageRatio", 0) 
    SendMessage("GameLogic.SetNoFallDamage")
   lib_SetupMultiplayerWormsAndTeams()
   SendMessage("WormManager.Reinitialise")



   local scheme = QueryContainer("GM.SchemeData")
   if scheme.RoundTime == 0 then
      StartSuddenDeath() -- do this after worms are set up to readjust health
      local GameOver = GetData("FCS.GameOver")
      -- do no further processing if sudden death drew the game
      if GameOver ~= 0 then
         return 
      end
   end
   
   if scheme.MineFactoryOn == true then
      SendMessage("GameLogic.CreateRandMineFactory")
   end
   
   if scheme.TelepadsOn == true then
       SendMessage("GameLogic.PlaceTelepads")       
   end
   
   SetData("Camera.StartOfTurnCamera","Default")
   
   SetWormpotModes()
   

   WaitingForStartFirstTurn = false
   StartFirstTurn()
end



function TurnStarted()
   local scheme = QueryContainer("GM.SchemeData")
   if scheme.WormSelect == 1 then
      SendMessage("WormSelect.OptionSelected")


SetData("Text.TestComment",toString(scheme.TurnTime))
SetData("CommentaryPanel.Comment", "Text.TestComment")
SendMessage("CommentaryPanel.ScriptText")
   end
   TeleportIn()

waterskill = 1
StartTimer("water",10000)
end

function water()




SetData("Jetpack.Fuel", 30000)
SetData("Water.Level", GetData("Water.Level") + waterskill )
waterskill = waterskill+0.02
SetData("HUD.Counter.Value", waterskill) 
StartTimer("water",100)
end

